#!/bin/sh
#
#

if [ $# -ne 1 ] 
then
	echo "usage : $0 {start|stop|restart}"
	exit 1
fi

case "$1" in

	start)
		ver=`uname -v | cut -f2 -d" " | cut -f1 -d"-" | cut -f1 -d"."`
		if [ $ver -lt 5 ]
		then
			i=0
			cd /dev	
			while [ $i -le 26 ]
			do
				if test ! -e amr$i
				then
					/dev/MAKEDEV amr$i
				fi
				i=`expr $i + 1`
			done
		fi

		echo "Starting MegaMonitor"
		/usr/sbin/MegaCtrl -start  > /megamonitor.out
		;;

	stop)
		echo "Stopping MegaMonitor"
		/usr/sbin/MegaCtrl -stop > /megamonitor.out
		;;

	restart|reload)
		echo "Restarting MegaMonitor"
		$0 stop
		$0 start
		;;
		
esac

exit
